=== debian/changelog ===
kfritz (0.0.4-0ubuntu2) maverick; urgency=low

  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 19 May 2010 02:43:30 +0200

kfritz (0.0.4-0ubuntu1) lucid; urgency=low

  * Initial release (LP: #522673) 

 -- Christian Mangold <neversfelde@ubuntu.com>  Tue, 16 Feb 2010 15:18:05 +0100
