=== debian/control ===
Source: kfritz
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christian Mangold <neversfelde@ubuntu.com>
Build-Depends: debhelper (>= 7.4.13),
               pkg-kde-tools (>= 0.5.3),
               cmake,
               kdelibs5-dev,
               libindicate-qt-dev,
               libgcrypt11-dev
Standards-Version: 3.8.4
Homepage: http://www.joachim-wilke.de/kfritz.htm

Package: kfritz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Notifier and manager for AVM Fritz!Box
 kfritz works together with an AVM Fritz!Box. It provides
 notifications on new incoming or outgoing calls, it tracks
 missed calls and can announce it via libindicate / message
 indicator widget. Further, it is possible to browse the phone
 book of the box. kfritz uses knotify to show connects and
 disconnects.
