## kfritz 0.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,8 @@
 #set(CMAKE_BUILD_TYPE "Debug")    # <-- enable for debugging 
 set(CMAKE_SKIP_RPATH TRUE)
 set(CMAKE_MODULE_PATH "${KFRITZ_SOURCE_DIR}/CMakeModules")
+
+find_package(PkgConfig REQUIRED)
 
 # --- kde includes ------------------------------------------------------------
 find_package(KDE4 REQUIRED)
@@ -16,8 +18,12 @@
 include("FindGcryptConfig")
 gcrypt_check(GCRYPT REQUIRED gcrypt)
 
+# --- gnu common cpp library --------------------------------------------------
+pkg_check_modules(CC++ REQUIRED libccgnu2 libccext2)
+include_directories(${CC++_INCLUDE_DIRS})
+link_directories(${CC++_LIBRARY_DIRS})
+
 # --- support for libindicate -------------------------------------------------
-find_package(PkgConfig REQUIRED)
 pkg_check_modules(INDICATEQT indicate-qt>=0.2.2)
 macro_log_feature(INDICATEQT_FOUND "indicate-qt" "QT bindings for libindicate" 
                                    "https://launchpad.net/libindicate-qt" 
@@ -31,10 +37,8 @@
 
                     
 # --- include local libs ------------------------------------------------------
-subdirs(libtcpclient++)
-subdirs(libpthread++)
 subdirs(libfritz++)
-INCLUDE_DIRECTORIES(libfritz++ libtcpclient++ libpthread++)
+INCLUDE_DIRECTORIES(libfritz++)
 
 # --- include icons -----------------------------------------------------------
 subdirs(icons)
@@ -64,19 +68,20 @@
 
 # --- compile and link --------------------------------------------------------
 
-set(kfritzbox_SRCS KFritz.cpp KFritzWindow.cpp KFonbookModel.cpp KSettingsFonbooks.cpp
-                   KSettingsFritzBox.cpp KFritzModel.cpp KCalllistModel.cpp LibFritzInit.cpp 
-                   Log.cpp LogDialog.cpp QAdaptTreeView.cpp)
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS} ${GCRYPT_CFLAGS}")
+set(kfritzbox_SRCS ContainerWidget.cpp DialDialog.cpp KFritz.cpp KFritzWindow.cpp KFonbookModel.cpp 
+                   KSettingsFonbooks.cpp KSettingsFritzBox.cpp KSettingsMisc.cpp KFritzModel.cpp 
+                   KCalllistModel.cpp KCalllistProxyModel.cpp 
+                   LibFritzInit.cpp Log.cpp LogDialog.cpp MimeFonbookEntry.cpp QAdaptTreeView.cpp)
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS} ${GCRYPT_CFLAGS} ${CC++_CFLAGS_OTHER}")
 set(CMAKE_CXX_FLAGS_DEBUG "-g -ggdb -O0 -Wall -D_GLIBCXX_DEBUG") 
 
 kde4_add_kcfg_files(kfritzbox_SRCS GENERATE_MOC KSettings.kcfgc)
-kde4_add_ui_files(kfritzbox_SRCS KSettingsFritzBox.ui KSettingsFonbooks.ui)
+kde4_add_ui_files(kfritzbox_SRCS KSettingsFritzBox.ui KSettingsFonbooks.ui KSettingsMisc.ui DialDialog.ui)
 
 configure_file(pkg-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/pkg-config.h)
 kde4_add_executable(kfritz ${kfritzbox_SRCS})
-target_link_libraries(kfritz ${KDE4_KDEUI_LIBS} ${KDE4_KNOTIFYCONFIG_LIBRARY} ${GCRYPT_LIBRARIES}
-                                fritz++ tcpclient++ pthread++ )
+target_link_libraries(kfritz ${KDE4_KDEUI_LIBS} ${KDE4_KNOTIFYCONFIG_LIBRARY} 
+                                fritz++ ${GCRYPT_LIBRARIES} ${CC++_LDFLAGS})
 if (INDICATEQT_FOUND)
 	target_link_libraries(kfritz ${INDICATEQT_LIBRARIES})
 endif (INDICATEQT_FOUND)
@@ -84,6 +89,7 @@
 
 # --- installs ----------------------------------------------------------------                                
 install(TARGETS kfritz ${INSTALL_TARGETS_DEFAULT_ARGS})
+# TODO: kfritz.notifyrc is installed in /usr/local/share/apps/kfritz/ -> does not work (use /usr/share/kde4/apps/kfritz/ instead)
 install(FILES kfritz.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kfritz)
 install(FILES kfritzui.rc DESTINATION ${DATA_INSTALL_DIR}/kfritz)
 install(FILES kfritz.kcfg DESTINATION ${KCFG_INSTALL_DIR})
