=== debian/changelog ===
kfritz (0.0.7-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Christian Mangold <neversfelde@ubuntu.com>  Fri, 18 Feb 2011 19:42:11 +0100

kfritz (0.0.6-0ubuntu3) natty; urgency=low

  * Rebuild with libindicate-qt 0.2.5.91-0ubuntu2 to fix dependency

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Feb 2011 13:38:12 +0000

kfritz (0.0.6-0ubuntu2) natty; urgency=low

  * Build against libindicate-qt 0.2.5.91 for soname transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Feb 2011 18:00:25 +0000

kfritz (0.0.6-0ubuntu1) natty; urgency=low

  * New upstream release
    - Remove remove-ubuntu-gettext-domain.patch, fixed upstream
    - Remove fix-ftbfs-no-add-needed.patch, fixed upstream
    - Remove remove-handbook-menu-entry.patch, fixed upstream

 -- Christian Mangold <neversfelde@ubuntu.com>  Wed, 19 Jan 2011 19:47:15 +0100

kfritz (0.0.5-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Build-depend on libcommoncpp2-dev.
  * Install the README file.
  * Remove the handbook menu entry as KFritz doesn't have one.
  * Adapt fix-ftbfs-no-add-needed.patch to new upstream version.
  * Rename debian-changes-0.0.4-0ubuntu1 to remove-ubuntu-gettext-domain.patch.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 06 Jan 2011 16:32:18 +0100

kfritz (0.0.4-0ubuntu3) natty; urgency=low

  * Fix FTBFS with --no-add-needed.
    - Link against pthread and rt.
  * Enable parallel building.
  * Bump Standards-Version to 3.9.1, no changes needed.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 12 Dec 2010 22:03:34 +0100
