=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
                pkg-kde-tools (>= 0.5.3),
                cmake,
                kdelibs5-dev,
-               libindicate-qt-dev,
-               libgcrypt11-dev
-Standards-Version: 3.8.4
+               libindicate-qt-dev (>= 0.2.5.91),
+               libgcrypt11-dev,
+               libcommoncpp2-dev
+Standards-Version: 3.9.1
 Homepage: http://www.joachim-wilke.de/kfritz.htm
 
 Package: kfritz
