=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,4 @@
 #export DH_VERBOSE=1
 
 %:
-	dh --with kde  $@
+	dh $@ --parallel --with kde
