=== debian/changelog ===
kfritz (0.0.8-0ubuntu2) quantal; urgency=low

  * No change rebuild for libccgnu2-1.8-0

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 30 May 2012 01:25:19 -0500

kfritz (0.0.8-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2, no changes needed.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 01 Dec 2011 23:40:15 +0100
