=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libindicate-qt-dev (>= 0.2.5.91),
                libgcrypt11-dev,
                libcommoncpp2-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.joachim-wilke.de/kfritz.htm
 
 Package: kfritz
