=== debian/watch ===
version=3
http://www.joachim-wilke.de/kfritz/kfritz_(.*)\.orig\.tar\.gz debian uupdate
