## kfritz 0.0.12a

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,9 @@
 
 #set(CMAKE_VERBOSE_MAKEFILE true) # <-- enable for debugging
 #set(CMAKE_BUILD_TYPE "Debug")    # <-- enable for debugging 
-set(CMAKE_SKIP_RPATH TRUE)
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${KFRITZ_SOURCE_DIR}/CMakeModules")
+set (KDE4_BUILD_TESTS ON)
+set (CMAKE_SKIP_RPATH TRUE)
+set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${KFRITZ_SOURCE_DIR}/CMakeModules")
 
 find_package(PkgConfig REQUIRED)
 
@@ -70,23 +71,37 @@
 
 set(kfritzbox_SRCS ContainerWidget.cpp DialDialog.cpp KFritz.cpp KFritzWindow.cpp KFonbookModel.cpp 
                    KSettingsFonbooks.cpp KSettingsFritzBox.cpp KSettingsMisc.cpp KFritzModel.cpp 
-                   KCalllistModel.cpp KCalllistProxyModel.cpp 
+                   KFritzDbusService.cpp KCalllistModel.cpp KCalllistProxyModel.cpp 
                    LibFritzInit.cpp Log.cpp LogDialog.cpp MimeFonbookEntry.cpp QAdaptTreeView.cpp)
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS} ${GCRYPT_CFLAGS} ${CC++_CFLAGS_OTHER}")
 set(CMAKE_CXX_FLAGS_DEBUG "-g -ggdb -O0 -Wall -D_GLIBCXX_DEBUG") 
+qt4_add_dbus_adaptor(kfritzbox_SRCS org.kde.KFritz.xml KFritzDbusService.h KFritzDbusService KFritzDbusServiceAdaptor KFritzDbusServiceAdaptor)
 
 kde4_add_kcfg_files(kfritzbox_SRCS GENERATE_MOC KSettings.kcfgc)
 kde4_add_ui_files(kfritzbox_SRCS KSettingsFritzBox.ui KSettingsFonbooks.ui KSettingsMisc.ui DialDialog.ui)
-
 configure_file(pkg-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/pkg-config.h)
-kde4_add_executable(kfritz ${kfritzbox_SRCS})
-target_link_libraries(kfritz ${KDE4_KDEUI_LIBS} ${KDE4_KNOTIFYCONFIG_LIBRARY} 
-                                fritz++ ${GCRYPT_LIBRARIES} ${CC++_LDFLAGS})
+kde4_add_library(kfritzstatic STATIC ${kfritzbox_SRCS}) 
+kde4_add_executable(kfritz main.cpp)
+target_link_libraries(kfritz kfritzstatic fritz++ 
+                      ${KDE4_KDEUI_LIBS} ${KDE4_KNOTIFYCONFIG_LIBRARY} 
+                      ${GCRYPT_LIBRARIES} ${CC++_LDFLAGS})
 if (INDICATEQT_FOUND)
 	target_link_libraries(kfritz ${INDICATEQT_LIBRARIES})
 endif (INDICATEQT_FOUND)
 
-
+# --- tests -------------------------------------------------------------------
+if (EXISTS ${KFRITZ_SOURCE_DIR}/test)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-undef")
+  include_directories(test)
+  AUX_SOURCE_DIRECTORY(test TESTFILES)
+  kde4_add_unit_test(kfritztest ${TESTFILES} test/gtest/gtest-all.cc test/gtest/gtest_main.cc)
+  target_link_libraries(kfritztest kfritzstatic fritz++ 
+                        ${KDE4_KDEUI_LIBS} ${KDE4_KNOTIFYCONFIG_LIBRARY} 
+                        ${GCRYPT_LIBRARIES} ${CC++_LDFLAGS})
+  if (INDICATEQT_FOUND)
+	  target_link_libraries(kfritztest ${INDICATEQT_LIBRARIES})
+  endif (INDICATEQT_FOUND)
+endif (EXISTS ${KFRITZ_SOURCE_DIR}/test)
 # --- installs ----------------------------------------------------------------                                
 install(TARGETS kfritz ${INSTALL_TARGETS_DEFAULT_ARGS})
 # TODO: kfritz.notifyrc is installed in /usr/local/share/apps/kfritz/ -> does not work (use /usr/share/kde4/apps/kfritz/ instead)
