=== Makefile ===
--- 
+++ 
@@ -1,16 +1,27 @@
-VERSION = $(shell grep 'static const char \*VERSION *=' KFritz.cpp | awk '{ print $$6 }' | sed -e 's/[";]//g')
+VERSION = $(shell grep 'static const char \*VERSION *=' main.cpp | awk '{ print $$6 }' | sed -e 's/[";]//g')
 WDIR    = $(shell pwd)
+
+ifdef DEVELOPMENT_INSTALL
+  CWD = $(shell pwd)
+  PREFIX = ${CWD}/build/install
+ifeq ($(shell uname -m),x86_64)
+  LIB=lib64
+else
+  LIB=lib
+endif
+  CMAKE_OPTS = -DCMAKE_INSTALL_PREFIX=${PREFIX} -DLIB_INSTALL_DIR=${PREFIX}/${LIB}
+endif
 
 cmake: LibFritzI18N.cpp
 	@if test ! -d build; \
 	then mkdir -p build; \
-	cd build; cmake ..; \
+	cd build; cmake ${CMAKE_OPTS} ..; \
 	fi
 
 cmake-debug: LibFritzI18N.cpp
 	@if test ! -d build; \
 	then mkdir -p build; \
-	cd build; cmake -DCMAKE_BUILD_TYPE:STRING=Debug ..; \
+	cd build; cmake -DCMAKE_BUILD_TYPE:STRING=Debug ${CMAKE_OPTS} ..; \
 	fi
 
 all: cmake 
@@ -21,14 +32,13 @@
 
 clean:
 	@-make -C libfritz++ clean
-	@-make -C libtcpclient++ clean
 	@-rm ../kfritz-${VERSION}.orig.tar.gz
 	@-rm -rf build
 	
 dist: clean update-po
 	tar cvz --dereference --exclude=l10n-kde4 \
 	        --exclude-vcs --exclude="debian" --exclude=".settings" --exclude=".project" \
-	        --exclude=".cproject" --exclude=".cdtproject" --exclude="test" --exclude=".git*" \
+	        --exclude=".cproject" --exclude=".cdtproject" --exclude="test" --exclude="test.old" --exclude=".git*" \
 	        -f ../kfritz_${VERSION}.orig.tar.gz ../kfritz
 	        
 fetch-po:
@@ -50,14 +60,8 @@
 	rm $@.old
 	grep -ir I18N_NOOP libfritz++/*.cpp | sed -e 's/.*I18N_NOOP(\([^)]*\).*/i18n(\1)/' | sort | uniq >> $@
 
-kde-install: all
-	cd build; kdesudo make install
-
-kde-install-debug: debug
-	cd build; kdesudo make install
-
-install:
-	cd build; sudo make install
+install: all
+	cd build; make install
 
 deb: dist
 	debuild -i"(\.svn|\.settings|\.(c|cdt|)project|test)"
