=== debian/changelog ===
kfritz (0.0.12a-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Switch to debhelper compat level v9.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Update watch file.

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 12 Jan 2013 23:51:51 +0100

kfritz (0.0.10-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Add Pre-Depends for dpkg (>= 1.15.6~) in kfritz binary to
    satisfy Lintian.

 -- Logan Rosen <logatronico@gmail.com>  Sun, 04 Nov 2012 14:25:52 -0500
