=== debian/control ===
--- 
+++ 
@@ -3,19 +3,20 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Christian Mangold <neversfelde@ubuntu.com>
-Build-Depends: debhelper (>= 7.4.13),
+Build-Depends: debhelper (>= 9),
                pkg-kde-tools (>= 0.5.3),
                cmake,
                kdelibs5-dev,
                libindicate-qt-dev (>= 0.2.5.91),
                libgcrypt11-dev,
                libcommoncpp2-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://www.joachim-wilke.de/kfritz.htm
 
 Package: kfritz
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: dpkg (>= 1.15.6~)
 Description: Notifier and manager for AVM Fritz!Box
  kfritz works together with an AVM Fritz!Box. It provides
  notifications on new incoming or outgoing calls, it tracks
