=== debian/watch ===
version=3
http://www.joachim-wilke.de/dl_46.htm \
  downloads/kfritz/kfritz_(.*)\.orig\.tar\.gz debian uupdate
